#
# spec file for package lowfi
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lowfi
Version:        1.5.5
Release:        1.1
Summary:        An extremely simple lofi player
License:        MIT
URL:            https://github.com/talwat/lowfi
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  alsa-devel
BuildRequires:  cargo-packaging
BuildRequires:  git-core
BuildRequires:  pkgconfig(openssl)
ExclusiveArch:  %{rust_tier1_arches}

%description
A tiny rust app that serves a single purpose: play lofi.
It'll do this as simply as it can: no albums, no ads, just lofi.
All of the audio files played in lowfi are from Lofi Girl's website,
https://lofigirl.com/
under their licensing guidelines : https://form.lofigirl.com/CommercialLicense

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%files
%doc README.md
%license LICENSE
%{_bindir}/lowfi

%changelog
* Wed Jan  8 2025 Andrea Manzini <andrea.manzini@suse.com>
- update to 1.5.5:
  * fix: make scrape command deterministic and update lofigirl list
  * feat: allow variable width
  * fix: read list header to lofigirl list
  * fix: use unicode-segmentation to fix issues with unicode track names
  * bump dependencies
* Thu Oct 31 2024 Andrea Manzini <andrea.manzini@suse.com>
- update to 1.5.3:
  * documentation improvements
  * fix: tracklist shorthand not working
  * feat: make MPRIS bus suffixes unique
  * bump dependencies
* Mon Oct 21 2024 Andrea Manzini <andrea.manzini@suse.com>
- update to 1.5.2:
  * fix: only import mpris_server with the feature
  * docs: fix grammar mistake
  * fix(mpris): fix initial playback status when there's a new track
  * fix(mpris): handle edge case when paused
* Wed Oct 16 2024 Andrea Manzini <andrea.manzini@suse.com>
- update to 1.5.0:
  * add description of available controls
  * feat: add play and pause messages
  * feat: add custom sources
* Tue Oct 15 2024 Andrea Manzini <andrea.manzini@suse.com>
- removed .obscpio file
* Tue Oct 15 2024 Andrea Manzini <andrea.manzini@suse.com>
- first packaged version: 1.4.2
